package ch.unige.aou.service.admin;

import java.util.List;

import ch.unige.aou.model.settings.Person;
import ch.unige.aou.model.settings.Structure;
import ch.unige.aou.service.ResourceClientServiceInterface;

public interface StructureClientServiceInterface extends ResourceClientServiceInterface<Structure> {
  List<Person> getPeople(String structureId);

  Person getPerson(String structureId, String personId);

  void addPerson(String structureId, String personId);
  
  void removePerson(String structureId, String personId);
}
