package ch.unige.aou.model;

import org.springframework.hateoas.RepresentationModel;

public class ModuleList extends RepresentationModel<ModuleList> {
  private String authorization;
  private String admin;
  private String access;

  public ModuleList(String authUrl, String adminUrl, String accessUrl) {
    // Modules with unique instance
    this.authorization = authUrl;
    this.admin = adminUrl;
    this.access = accessUrl;
  }

  public String getAuthorization() {
    return this.authorization;
  }

  public String getAdmin() {
    return this.admin;
  }

  public String getAccess() {
    return this.access;
  }

}
