package ch.unige.aou.model.settings;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Lob;
import javax.validation.constraints.NotNull;

@Embeddable
public class TextLabel extends Label {
  @NotNull
  @Lob
  @Column(nullable = false)
  private String text;

  @Override
  public String getText() {
    return this.text;
  }

  @Override
  public void setText(String text) {
    this.text = text;
  }
}
