package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.AuthorRole;

public class AuthorRoleSerializer extends StdSerializer<AuthorRole> {
  public AuthorRoleSerializer() {
    this(null);
  }

  public AuthorRoleSerializer(Class<AuthorRole> t) {
    super(t);
  }

  @Override
  public void serialize(AuthorRole value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeString(value.value());
  }
}
