package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.Collections;

public class CollectionsSerializer extends StdSerializer<Collections> {
  public CollectionsSerializer() {
    this(null);
  }

  public CollectionsSerializer(Class<Collections> t) {
    super(t);
  }

  @Override
  public void serialize(Collections value, JsonGenerator jgen, SerializerProvider provider) throws IOException {
    jgen.writeObject(value.getCollection());
  }
}
