package ch.unige.aou.model.xml.deposit.v2_2.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_2.Languages;

public class LanguagesSerializer extends StdSerializer<Languages> {
  public LanguagesSerializer() {
    this(null);
  }

  public LanguagesSerializer(Class<Languages> t) {
    super(t);
  }

  @Override
  public void serialize(Languages value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeStartArray();
    for (String lang : value.getLanguage()) {
      jgen.writeStartObject();
      jgen.writeStringField("language", lang);
      jgen.writeEndObject();
    }
    jgen.writeEndArray();
  }
}
