package ch.unige.aou.model.xml.deposit.v2_4.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_4.Collaboration;

public class CollaborationSerializer extends StdSerializer<Collaboration> {
  public CollaborationSerializer() {
    this(null);
  }

  public CollaborationSerializer(Class<Collaboration> t) {
    super(t);
  }

  @Override
  public void serialize(Collaboration value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObjectFieldStart("collaboration");
    jgen.writeObject(value);
    jgen.writeEndObject();
  }
}
