package ch.unige.aou.model.xml.deposit.v2_4.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_4.Datasets;

public class DatasetsSerializer extends StdSerializer<Datasets> {
  public DatasetsSerializer() {
    this(null);
  }

  public DatasetsSerializer(Class<Datasets> t) {
    super(t);
  }

  @Override
  public void serialize(Datasets value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeStartArray();
    for (String url : value.getUrl()) {
      jgen.writeStartObject();
      jgen.writeStringField("url", url);
      jgen.writeEndObject();
    }
    jgen.writeEndArray();
  }
}
