package ch.unige.aou.service;

import org.springframework.stereotype.Service;

import ch.unige.aou.AouConstants;
import ch.unige.aou.business.PersonService;
import ch.unige.aou.model.settings.Person;

@Service("personPermissionService")
public class PersonPermissionService extends AbstractPermissionService {

  public PersonPermissionService(PersonService personService) {
    super(personService);
  }

  public boolean isSuperValidator() {
    Person person = this.personService.getLinkedPerson(this.getAuthentication());
    return person.getRoleIds().contains(AouConstants.ROLE_SUPER_VALIDATOR_ID);
  }
}
