package ch.unige.aou.service.admin;

import java.util.List;

import ch.unige.aou.model.settings.Person;
import ch.unige.aou.model.settings.ResearchGroup;
import ch.unige.aou.service.ResourceClientServiceInterface;

public interface ResearchGroupClientServiceInterface extends ResourceClientServiceInterface<ResearchGroup> {
  void addPerson(String researchGroupId, String personId);

  List<Person> getPeople(String researchGroupId);

  void removePerson(String researchGroupId, String personId);

  ResearchGroup validate(String resId);
}
