package ch.unige.aou.exception;

import java.io.Serializable;
import java.util.Map;

import ch.unige.solidify.repository.SolidifyError;

public class AouError extends SolidifyError implements Serializable {
  private int errorCode;
  private Map<Object, Object> additionalParameters;

  public AouError() {
  }

  public int getErrorCode() {
    return errorCode;
  }

  public void setErrorCode(int errorCode) {
    this.errorCode = errorCode;
  }

  public Map<Object, Object> getAdditionalParameters() {
    return this.additionalParameters;
  }

  public void setAdditionalParameters(Map<Object, Object> params) {
    this.additionalParameters = params;
  }
}
