package ch.unige.aou.security;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import org.springframework.security.access.prepost.PreAuthorize;

import ch.unige.solidify.auth.model.AuthApplicationRole;

@Retention(RetentionPolicy.RUNTIME)
@PreAuthorize("hasAnyAuthority('"
        + AuthApplicationRole.ADMIN_ID + "', '"
        + AuthApplicationRole.TRUSTED_CLIENT_ID + "', '"
        + AuthApplicationRole.ROOT_ID + "')"
        + " or @userPermissionService.hasValidationRights()")
public @interface AdminOrValidatorPermissions {
}
