package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.AcademicStructures;

public class AcademicStructuresSerializer extends StdSerializer<AcademicStructures> {
  public AcademicStructuresSerializer() {
    this(null);
  }

  public AcademicStructuresSerializer(Class<AcademicStructures> t) {
    super(t);
  }

  @Override
  public void serialize(AcademicStructures value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getAcademicStructure());
  }
}
