package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.Dates;

public class DatesSerializer extends StdSerializer<Dates> {
  public DatesSerializer() {
    this(null);
  }

  public DatesSerializer(Class<Dates> t) {
    super(t);
  }

  @Override
  public void serialize(Dates value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getDate());
  }
}
