package ch.unige.aou.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.model.notification.Notification;

@Repository
@SuppressWarnings("squid:S1214")
public interface NotificationRepository extends SolidifyRepository<Notification> {

  @Query("SELECT n FROM Notification n JOIN Event e ON e.resId=n.event.resId"
          + " WHERE e.publication.resId = :publicationId ")
  List<Notification> findByPublicationId(String publicationId);
}
