package ch.unige.aou.task;

import java.time.OffsetDateTime;
import java.time.ZoneOffset;

import ch.unige.aou.business.NotificationService;
import ch.unige.aou.business.ScheduledTaskService;
import ch.unige.aou.model.schedule.ScheduledTask;

public class NotifyResearchGroupsToValidateTask extends AbstractTaskRunnable {

  public NotifyResearchGroupsToValidateTask(ScheduledTaskService scheduledTaskService, ScheduledTask scheduledTask,
          NotificationService notificationService, TaskExecutorService taskExecutorService) {
    super(scheduledTaskService, scheduledTask, notificationService, taskExecutorService);
  }

  @Override
  protected void executeTask() {
    this.taskExecutorService.notifyResearchGroupsToValidate();
  }
}
